Subject: Re: [PATCH 17/27] powerpc/eeh: I/O chip PE log and bridge setup

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 11 Jun 2013 17:37:59 +1000

On Wed, 2013-06-05 at 15:34 +0800, Gavin Shan wrote:
> The patch adds backends to retrieve error log and configure p2p
> bridges for the indicated PE.
> 
> Signed-off-by: Gavin Shan <[email-masked]>
> ---

> +/**
> + * ioda_eeh_configure_bridge - Configure the PCI bridges for the indicated PE
> + * @pe: EEH PE
> + *
> + * For particular PE, it might have included PCI bridges. In order
> + * to make the PE work properly, those PCI bridges should be configured
> + * correctly. However, we need do nothing on P7IOC since the reset
> + * function will do everything that should be covered by the function.
> + */
> +static int ioda_eeh_configure_bridge(struct eeh_pe *pe)
> +{
> +	return 0;

Does it now ?

IE. Who reconfigures the windows and other config space bits of P2P
bridges ? Or is this handled elsewhere in Linux or in the upper levels
of EEH ? Or is that only needed for the PHB ?

Cheers,
Ben.